Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 265558 - [jokey overlay] app-emulation/virtualbox-ose-2.2.0 fails to emerge
Summary: [jokey overlay] app-emulation/virtualbox-ose-2.2.0 fails to emerge
Status: RESOLVED CANTFIX
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] Unspecified (show other bugs)
Hardware: All Linux
: High normal with 1 vote (vote)
Assignee: Markus Ullmann (RETIRED)
URL:
Whiteboard:
Keywords:
: 267049 268885 278001 (view as bug list)
Depends on:
Blocks:
 
Reported: 2009-04-09 14:30 UTC by Kobboi
Modified: 2009-09-12 12:21 UTC (History)
19 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
/home/thierry/tmp/build.log (build.log,9.93 KB, text/plain)
2009-04-20 07:41 UTC, thierry volpiatto
Details
Fix check_mesa() in 'configure' (mesa.patch,535 bytes, patch)
2009-04-23 09:46 UTC, Grzegorz Chwesewicz
Details | Diff
Make virtualbox-ose-2.2.0.ebuild use mesa.patch (virtualbox-ose-2.2.0.ebuild.diff,375 bytes, patch)
2009-04-23 09:48 UTC, Grzegorz Chwesewicz
Details | Diff
configure patch for checking mesa presents (mesa.patch,332 bytes, patch)
2009-05-04 06:00 UTC, tonich
Details | Diff
fixed manifest to work with patched configure file in VirtualBox-2.2.2-OSE.tar.bz2 (Manifest,2.44 KB, text/plain)
2009-05-15 14:57 UTC, nurbs999
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Kobboi 2009-04-09 14:30:57 UTC
The ebuild fails to emerge:

>>> Emerging (1 of 1) app-emulation/virtualbox-ose-2.2.0 from dev-jokey
 * VirtualBox-2.2.0-OSE.tar.bz2 RMD160 SHA1 SHA256 size ;-) ...          [ ok ]
 * checking ebuild checksums ;-) ...                                     [ ok ]
 * checking auxfile checksums ;-) ...                                    [ ok ]
 * checking miscfile checksums ;-) ...                                   [ ok ]
>>> Unpacking source...
>>> Unpacking VirtualBox-2.2.0-OSE.tar.bz2 to /var/tmp/portage/app-emulation/virtualbox-ose-2.2.0/work
>>> Source unpacked in /var/tmp/portage/app-emulation/virtualbox-ose-2.2.0/work
>>> Preparing source in /var/tmp/portage/app-emulation/virtualbox-ose-2.2.0/work/VirtualBox-2.2.0_OSE ...
>>> Source prepared.
>>> Configuring source in /var/tmp/portage/app-emulation/virtualbox-ose-2.2.0/work/VirtualBox-2.2.0_OSE ...
Checking for environment: Determined build machine: linux.x86, target machine: linux.x86, OK.
Checking for kBuild: found, OK.
Checking for gcc: found version 4.2.4, OK.
Checking for as86: found version 0.16.17, OK.
Checking for bcc: found version 0.16.17, OK.
Checking for iasl: found version 20060912, OK.
Checking for xslt: found, OK.
Checking for pthread: found, OK.
Checking for libxml2: found version 2.7.3, OK.
Checking for libxslt: found version 1.1.24, OK.
Checking for libIDL: found version 0.8.12, OK.
Checking for zlib: found version 1.2.3, OK.
Checking for libpng: found version 1.2.35, OK.
Checking for SDL: found version 1.2.13, OK.
Checking for X libraries: found, OK.
Checking for Xcursor: found, OK.
Checking for Xmu: found, OK.
Checking for Mesa / GLU: ACCESS DENIED  open_wr:      /dev/dri/card0
found version 1.2, OK.
Checking for Qt4: found version 4.4.2, OK.
Checking for Qt4 devtools: found version 4.4.2, OK.
Checking for python support: found version 2.5.2, OK.
Checking for static stc++ library: found, OK.
Checking for ALSA: found version 1.0.19, OK.
Checking for PulseAudio: found version 0.9.14 API version 12, OK.
Checking for libcap library: found, OK.
Checking for compiler.h: compiler.h not found, OK.

Successfully generated '/var/tmp/portage/app-emulation/virtualbox-ose-2.2.0/work/VirtualBox-2.2.0_OSE/AutoConfig.kmk' and '/var/tmp/portage/app-emulation/virtualbox-ose-2.2.0/work/VirtualBox-2.2.0_OSE/env.sh'.
Source '/var/tmp/portage/app-emulation/virtualbox-ose-2.2.0/work/VirtualBox-2.2.0_OSE/env.sh' once before you start to build VBox:

  source /var/tmp/portage/app-emulation/virtualbox-ose-2.2.0/work/VirtualBox-2.2.0_OSE/env.sh
  kmk

To compile the kernel module, do:

  cd ./out/linux.x86/release/bin/src/vboxdrv
  make


  +++ WARNING +++ WARNING +++ WARNING +++ WARNING +++ WARNING +++ WARNING +++
  Hardening is enabled which means that the VBox binaries will not run from
  the binary directory. The binaries have to be installed suid root and some
  more prerequisites have to be fulfilled which is normally done by installing
  the final package. For development, the hardening feature can be disabled
  by specifying the --disable-hardening parameter. Please never disable that
  feature for the final distribution!
  +++ WARNING +++ WARNING +++ WARNING +++ WARNING +++ WARNING +++ WARNING +++

Enjoy!
>>> Source configured.
--------------------------- ACCESS VIOLATION SUMMARY ---------------------------
LOG FILE "/var/log/sandbox/sandbox-28951.log"

VERSION 1.0
FORMAT: F - Function called
FORMAT: S - Access Status
FORMAT: P - Path as passed to function
FORMAT: A - Absolute Path (not canonical)
FORMAT: R - Canonical Path
FORMAT: C - Command Line

F: open_wr
S: deny
P: /dev/dri/card0
A: /dev/dri/card0
R: /dev/dri/card0
C: /var/tmp/portage/app-emulation/virtualbox-ose-2.2.0/work/VirtualBox-2.2.0_OSE/.tmp_out 
--------------------------------------------------------------------------------

>>> Failed to emerge app-emulation/virtualbox-ose-2.2.0, Log file:

>>>  '/var/tmp/portage/app-emulation/virtualbox-ose-2.2.0/temp/build.log'
Comment 1 aidar 2009-04-12 15:57:12 UTC
have the same issue on ~amd64 box
Comment 2 Anielkis Herrera 2009-04-15 16:09:55 UTC
(In reply to comment #1)
> have the same issue on ~amd64 box
> 

the problem in the function "check_mesa()"(line 1235) in configure

Comment 3 Randall Wald 2009-04-19 00:49:05 UTC
I'm getting a similar problem on my amd64 system...my build.log looks a bit different, but definitely is chocking on the check_mesa() line:

>>> Source prepared.
>>> Configuring source in /var/tmp/portage/app-emulation/virtualbox-ose-2.2.0/work/VirtualBox-2.2.0_OSE ...
Checking for environment: Determined build machine: linux.amd64, target machine: linux.amd64, OK.
Checking for kBuild: found, OK.
Checking for gcc: found version 4.3.3, OK.
Checking for as86: found version 0.16.17, OK.
Checking for bcc: found version 0.16.17, OK.
Checking for iasl: found version 20060912, OK.
Checking for xslt: found, OK.
Checking for pthread: found, OK.
Checking for libxml2: found version 2.7.3, OK.
Checking for libxslt: found version 1.1.24, OK.
Checking for libIDL: found version 0.8.12, OK.
Checking for zlib: found version 1.2.3, OK.
Checking for libpng: found version 1.2.35, OK.
Checking for SDL: found version 1.2.13, OK.
Checking for X libraries: found, OK.
Checking for Xcursor: found, OK.
Checking for Xmu: found, OK.
Checking for Mesa / GLU: ACCESS DENIED  __xmknod:     /dev/dri/card0
ACCESS DENIED  __xmknod:     /dev/dri/card0
ACCESS DENIED  __xmknod:     /dev/dri/card0
ACCESS DENIED  __xmknod:     /dev/dri/card0
ACCESS DENIED  __xmknod:     /dev/dri/card1
ACCESS DENIED  __xmknod:     /dev/dri/card1
ACCESS DENIED  __xmknod:     /dev/dri/card2
ACCESS DENIED  __xmknod:     /dev/dri/card2
ACCESS DENIED  __xmknod:     /dev/dri/card3
ACCESS DENIED  __xmknod:     /dev/dri/card3
ACCESS DENIED  __xmknod:     /dev/dri/card4
ACCESS DENIED  __xmknod:     /dev/dri/card4
ACCESS DENIED  __xmknod:     /dev/dri/card5
ACCESS DENIED  __xmknod:     /dev/dri/card5
ACCESS DENIED  __xmknod:     /dev/dri/card6
ACCESS DENIED  __xmknod:     /dev/dri/card6
ACCESS DENIED  __xmknod:     /dev/dri/card7
ACCESS DENIED  __xmknod:     /dev/dri/card7
ACCESS DENIED  __xmknod:     /dev/dri/card8
ACCESS DENIED  __xmknod:     /dev/dri/card8
ACCESS DENIED  __xmknod:     /dev/dri/card9
ACCESS DENIED  __xmknod:     /dev/dri/card9
ACCESS DENIED  __xmknod:     /dev/dri/card10
ACCESS DENIED  __xmknod:     /dev/dri/card10
ACCESS DENIED  __xmknod:     /dev/dri/card11
ACCESS DENIED  __xmknod:     /dev/dri/card11
ACCESS DENIED  __xmknod:     /dev/dri/card12
ACCESS DENIED  __xmknod:     /dev/dri/card12
ACCESS DENIED  __xmknod:     /dev/dri/card13
ACCESS DENIED  __xmknod:     /dev/dri/card13
ACCESS DENIED  __xmknod:     /dev/dri/card14
ACCESS DENIED  __xmknod:     /dev/dri/card14
found version 1.2, OK.
Checking for Qt4: found version 4.4.2, OK.
Checking for Qt4 devtools: found version 4.4.2, OK.
Checking for python support: found version 2.5.2, OK.
Checking for static stc++ library: found, OK.
Checking for ALSA: found version 1.0.18, OK.
Checking for libcap library: found, OK.
Checking for compiler.h: compiler.h not found, OK.
Checking for 32-bit support: OK.

Successfully generated '/var/tmp/portage/app-emulation/virtualbox-ose-2.2.0/work/VirtualBox-2.2.0_OSE/AutoConfig.kmk' and '/var/tmp/portage/app-emulation/virtualbox-ose-2.2.0/work/VirtualBox-2.2.0_OSE/env.sh'.
Source '/var/tmp/portage/app-emulation/virtualbox-ose-2.2.0/work/VirtualBox-2.2.0_OSE/env.sh' once before you start to build VBox:

  source /var/tmp/portage/app-emulation/virtualbox-ose-2.2.0/work/VirtualBox-2.2.0_OSE/env.sh
  kmk

To compile the kernel module, do:

  cd ./out/linux.amd64/release/bin/src/vboxdrv
  make


  +++ WARNING +++ WARNING +++ WARNING +++ WARNING +++ WARNING +++ WARNING +++
  Hardening is enabled which means that the VBox binaries will not run from
  the binary directory. The binaries have to be installed suid root and some
  more prerequisites have to be fulfilled which is normally done by installing
  the final package. For development, the hardening feature can be disabled
  by specifying the --disable-hardening parameter. Please never disable that
  feature for the final distribution!
  +++ WARNING +++ WARNING +++ WARNING +++ WARNING +++ WARNING +++ WARNING +++

Enjoy!
>>> Source configured.
--------------------------- ACCESS VIOLATION SUMMARY ---------------------------
LOG FILE "/var/log/sandbox/sandbox-8261.log"
Comment 4 bugs.gentoo.org 2009-04-19 09:21:38 UTC
failed on my computer as well (amd64):
Checking for Mesa / GLU: X Error of failed request:  BadRequest (invalid request code or no such operation)                                                           
  Major opcode of failed request:  155 (GLX)                                       
  Minor opcode of failed request:  19 (X_GLXQueryServerString)                     
  Serial number of failed request:  10                                             
  Current serial number in output stream:  10                                      
 *                                                                                 
 * ERROR: app-emulation/virtualbox-ose-2.2.0 failed.                               
 * Call stack:                                                                     
 *               ebuild.sh, line   49:  Called src_configure                       
 *             environment, line 3661:  Called die                                 
 * The specific snippet of code:                                                   
 *       ./configure --with-gcc="$(tc-getCC)" --with-g++="$(tc-getCXX)" --disable-kmods ${myconf} || die "configure failed"
 *  The die message:
 *   configure failed
 *
 * If you need support, post the topmost build error, and the call stack if relevant.
 * A complete build log is located at '/var/tmp/portage/app-emulation/virtualbox-ose-2.2.0/temp/build.log'.
 * The ebuild environment file is located at '/var/tmp/portage/app-emulation/virtualbox-ose-2.2.0/temp/environment'.
 *


(In reply to comment #3)
> I'm getting a similar problem on my amd64 system...my build.log looks a bit
> different, but definitely is chocking on the check_mesa() line:
> 
> >>> Source prepared.
> >>> Configuring source in /var/tmp/portage/app-emulation/virtualbox-ose-2.2.0/work/VirtualBox-2.2.0_OSE ...
> Checking for environment: Determined build machine: linux.amd64, target
> machine: linux.amd64, OK.
> Checking for kBuild: found, OK.
> Checking for gcc: found version 4.3.3, OK.
> Checking for as86: found version 0.16.17, OK.
> Checking for bcc: found version 0.16.17, OK.
> Checking for iasl: found version 20060912, OK.
> Checking for xslt: found, OK.
> Checking for pthread: found, OK.
> Checking for libxml2: found version 2.7.3, OK.
> Checking for libxslt: found version 1.1.24, OK.
> Checking for libIDL: found version 0.8.12, OK.
> Checking for zlib: found version 1.2.3, OK.
> Checking for libpng: found version 1.2.35, OK.
> Checking for SDL: found version 1.2.13, OK.
> Checking for X libraries: found, OK.
> Checking for Xcursor: found, OK.
> Checking for Xmu: found, OK.
> Checking for Mesa / GLU: ACCESS DENIED  __xmknod:     /dev/dri/card0
> ACCESS DENIED  __xmknod:     /dev/dri/card0
> ACCESS DENIED  __xmknod:     /dev/dri/card0
> ACCESS DENIED  __xmknod:     /dev/dri/card0
> ACCESS DENIED  __xmknod:     /dev/dri/card1
> ACCESS DENIED  __xmknod:     /dev/dri/card1
> ACCESS DENIED  __xmknod:     /dev/dri/card2
> ACCESS DENIED  __xmknod:     /dev/dri/card2
> ACCESS DENIED  __xmknod:     /dev/dri/card3
> ACCESS DENIED  __xmknod:     /dev/dri/card3
> ACCESS DENIED  __xmknod:     /dev/dri/card4
> ACCESS DENIED  __xmknod:     /dev/dri/card4
> ACCESS DENIED  __xmknod:     /dev/dri/card5
> ACCESS DENIED  __xmknod:     /dev/dri/card5
> ACCESS DENIED  __xmknod:     /dev/dri/card6
> ACCESS DENIED  __xmknod:     /dev/dri/card6
> ACCESS DENIED  __xmknod:     /dev/dri/card7
> ACCESS DENIED  __xmknod:     /dev/dri/card7
> ACCESS DENIED  __xmknod:     /dev/dri/card8
> ACCESS DENIED  __xmknod:     /dev/dri/card8
> ACCESS DENIED  __xmknod:     /dev/dri/card9
> ACCESS DENIED  __xmknod:     /dev/dri/card9
> ACCESS DENIED  __xmknod:     /dev/dri/card10
> ACCESS DENIED  __xmknod:     /dev/dri/card10
> ACCESS DENIED  __xmknod:     /dev/dri/card11
> ACCESS DENIED  __xmknod:     /dev/dri/card11
> ACCESS DENIED  __xmknod:     /dev/dri/card12
> ACCESS DENIED  __xmknod:     /dev/dri/card12
> ACCESS DENIED  __xmknod:     /dev/dri/card13
> ACCESS DENIED  __xmknod:     /dev/dri/card13
> ACCESS DENIED  __xmknod:     /dev/dri/card14
> ACCESS DENIED  __xmknod:     /dev/dri/card14
> found version 1.2, OK.
> Checking for Qt4: found version 4.4.2, OK.
> Checking for Qt4 devtools: found version 4.4.2, OK.
> Checking for python support: found version 2.5.2, OK.
> Checking for static stc++ library: found, OK.
> Checking for ALSA: found version 1.0.18, OK.
> Checking for libcap library: found, OK.
> Checking for compiler.h: compiler.h not found, OK.
> Checking for 32-bit support: OK.
> 
> Successfully generated
> '/var/tmp/portage/app-emulation/virtualbox-ose-2.2.0/work/VirtualBox-2.2.0_OSE/AutoConfig.kmk'
> and
> '/var/tmp/portage/app-emulation/virtualbox-ose-2.2.0/work/VirtualBox-2.2.0_OSE/env.sh'.
> Source
> '/var/tmp/portage/app-emulation/virtualbox-ose-2.2.0/work/VirtualBox-2.2.0_OSE/env.sh'
> once before you start to build VBox:
> 
>   source
> /var/tmp/portage/app-emulation/virtualbox-ose-2.2.0/work/VirtualBox-2.2.0_OSE/env.sh
>   kmk
> 
> To compile the kernel module, do:
> 
>   cd ./out/linux.amd64/release/bin/src/vboxdrv
>   make
> 
> 
>   +++ WARNING +++ WARNING +++ WARNING +++ WARNING +++ WARNING +++ WARNING +++
>   Hardening is enabled which means that the VBox binaries will not run from
>   the binary directory. The binaries have to be installed suid root and some
>   more prerequisites have to be fulfilled which is normally done by installing
>   the final package. For development, the hardening feature can be disabled
>   by specifying the --disable-hardening parameter. Please never disable that
>   feature for the final distribution!
>   +++ WARNING +++ WARNING +++ WARNING +++ WARNING +++ WARNING +++ WARNING +++
> 
> Enjoy!
> >>> Source configured.
> --------------------------- ACCESS VIOLATION SUMMARY
> ---------------------------
> LOG FILE "/var/log/sandbox/sandbox-8261.log"
> 

Comment 5 Malte E. 2009-04-19 10:43:47 UTC
Same problem here with the ebuild from portage, on amd64. I had to set FEATURES="userpriv" to disable the sandbox.
Comment 6 Vladimir Berezhnoy 2009-04-19 20:58:35 UTC
Same with virtualbox-ose-2.2.0 from portage on ~x86

Checking for Mesa / GLU: ACCESS DENIED  open_wr:      /dev/dri/card0
ACCESS DENIED  open_wr:      /dev/dri/card0
ACCESS DENIED  open_wr:      /dev/dri/card0
ACCESS DENIED  open_wr:      /dev/dri/card0
Comment 7 thierry volpiatto 2009-04-20 07:41:06 UTC
Created attachment 188939 [details]
/home/thierry/tmp/build.log

I have the same problem on my laptop on x86.
But not on my amd64.
Comment 8 Yuri Sevatz 2009-04-20 20:06:56 UTC
I concurr.  Exact same issue.  amd64.  Any suggestions on how to fix this?
Comment 9 Jan Beinersdorf 2009-04-21 18:37:52 UTC
I'm having the same problem as in comment #3 on my x86 machine, but not on
my amd64.

[ebuild     U ] app-emulation/virtualbox-ose-2.2.0 [2.1.4-r2] USE="additions
alsa hal python qt4 sdk -headless -pulseaudio -vboxwebsrv" 0 kB

[...]
Checking for Xmu: found, OK.
Checking for Mesa / GLU: ACCESS DENIED  __xmknod:     /dev/dri/card0
ACCESS DENIED  __xmknod:     /dev/dri/card0
ACCESS DENIED  __xmknod:     /dev/dri/card0
ACCESS DENIED  __xmknod:     /dev/dri/card0
ACCESS DENIED  __xmknod:     /dev/dri/card1
ACCESS DENIED  __xmknod:     /dev/dri/card1
ACCESS DENIED  __xmknod:     /dev/dri/card2
ACCESS DENIED  __xmknod:     /dev/dri/card2
ACCESS DENIED  __xmknod:     /dev/dri/card3
ACCESS DENIED  __xmknod:     /dev/dri/card3
ACCESS DENIED  __xmknod:     /dev/dri/card4
ACCESS DENIED  __xmknod:     /dev/dri/card4
ACCESS DENIED  __xmknod:     /dev/dri/card5
ACCESS DENIED  __xmknod:     /dev/dri/card5
ACCESS DENIED  __xmknod:     /dev/dri/card6
ACCESS DENIED  __xmknod:     /dev/dri/card6
ACCESS DENIED  __xmknod:     /dev/dri/card7
ACCESS DENIED  __xmknod:     /dev/dri/card7
ACCESS DENIED  __xmknod:     /dev/dri/card8
ACCESS DENIED  __xmknod:     /dev/dri/card8
ACCESS DENIED  __xmknod:     /dev/dri/card9
ACCESS DENIED  __xmknod:     /dev/dri/card9
ACCESS DENIED  __xmknod:     /dev/dri/card10
ACCESS DENIED  __xmknod:     /dev/dri/card10
ACCESS DENIED  __xmknod:     /dev/dri/card11
ACCESS DENIED  __xmknod:     /dev/dri/card11
ACCESS DENIED  __xmknod:     /dev/dri/card12
ACCESS DENIED  __xmknod:     /dev/dri/card12
ACCESS DENIED  __xmknod:     /dev/dri/card13
ACCESS DENIED  __xmknod:     /dev/dri/card13
ACCESS DENIED  __xmknod:     /dev/dri/card14
ACCESS DENIED  __xmknod:     /dev/dri/card14
found version 1.2, OK.
Checking for Qt4: found version 4.4.2, OK.
[...]
>>> Source configured.
--------------------------- ACCESS VIOLATION SUMMARY
---------------------------
LOG FILE "/var/log/sandbox/sandbox-20587.log"

VERSION 1.0
FORMAT: F - Function called
FORMAT: S - Access Status
FORMAT: P - Path as passed to function
FORMAT: A - Absolute Path (not canonical)
FORMAT: R - Canonical Path
FORMAT: C - Command Line

F: __xmknod
S: deny
P: /dev/dri/card0
A: /dev/dri/card0
R: /dev/dri/card0
C:
/var/tmp/portage/app-emulation/virtualbox-ose-2.2.0/work/VirtualBox-2.2.0_OSE/.tmp_out

(Message is repeated for card0 through 15.)

----

# emerge --info
Portage 2.1.6.7 (default/linux/x86/2008.0, gcc-4.1.2,
# glibc-2.8_p20080602-r1, 2.6.27-gentoo-r10 i686)
=================================================================
System uname:
Linux-2.6.27-gentoo-r10-i686-Intel-R-_Pentium-R-_4_CPU_2.66GHz-with-glibc2.0
Timestamp of tree: Tue, 21 Apr 2009 17:00:01 +0000
ccache version 2.4 [enabled]
app-shells/bash:     3.2_p39
dev-java/java-config: 1.3.7-r1, 2.1.7
dev-lang/python:     2.4.4-r13, 2.5.4-r2
dev-python/pycrypto: 2.0.1-r6
dev-util/ccache:     2.4-r7
dev-util/cmake:      2.6.2-r1
sys-apps/baselayout: 1.12.11.1
sys-apps/sandbox:    1.6-r2
sys-devel/autoconf:  2.13, 2.63
sys-devel/automake:  1.4_p6, 1.5, 1.6.3, 1.7.9-r1, 1.8.5-r3, 1.9.6-r2,
1.10.2
sys-devel/binutils:  2.18-r3
sys-devel/gcc-config: 1.4.0-r4
sys-devel/libtool:   1.5.26
virtual/os-headers:  2.6.27-r2
ACCEPT_KEYWORDS="x86"
CBUILD="i686-pc-linux-gnu"
CFLAGS="-O3 -march=pentium4 -pipe"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/kde/3.3/env /usr/kde/3.3/share/config
/usr/kde/3.3/shutdown /usr/kde/3.4/env /usr/kde/3.4/share/config
/usr/kde/3.4/shutdown /usr/kde/3.5/env /usr/kde/3.5/share/config
//usr/kde/3.5/shutdown /usr/share/config /var/lib/hsqldb"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/
/etc/fonts/fonts.conf /etc/gconf /etc/php/apache2-php5/ext-active/
/etc/php/cgi-php5/ext-active/ /etc/php/cli-php5/ext-active/
//etc/revdep-rebuild /etc/sandbox.d /etc/splash /etc/terminfo
///etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d
////etc/texmf/web2c /etc/udev/rules.d"
CXXFLAGS="-O3 -march=pentium4 -pipe"
DISTDIR="/usr/portage/distfiles"
FEATURES="ccache distlocks fixpackages parallel-fetch protect-owned sandbox
sfperms strict unmerge-orphans userfetch"
GENTOO_MIRRORS="http://distfiles.gentoo.org
http://distro.ibiblio.org/pub/linux/distributions/gentoo"
LANG="de_DE@euro"
LC_ALL="de_DE"
LDFLAGS="-Wl,-O1"
LINGUAS="de"
MAKEOPTS="-j1"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times
--compress --force --whole-file --delete --stats --timeout=180
--exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/overlays/local"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="X a52 aac accessibility acl acpi alsa amr amrr apache2 arts audiofile
avi berkdb binfilter bluetooth bzip2 cairo cdr cli cracklib crypt cups curl
dbus dga directfb divx4linux dri dts dv dvd dvdnav dvdr dvdread eds enblend
encode esd exif expat fam fbcon ffmpeg flac foomatic foomaticdb fortran gcj
gd gdbm gif gimp glut gmp gnome gpm gs gstreamer gtk gtk2 gtkhtml iconv icq
idn ieee1394 imagemagick ip3100 ipv6 isdnlog java jbig joystick jpeg jpeg2k
kde kdeenablefinal laptop lcms mad madwifi matroska mhash midi mikmod mmx
mmx2 mmxext mng mono mozilla mozsvg mp2 mp3 mpeg mpeg2 mudflap mysql ncurses
nls nptl nptlonly nsplugin objc objc++ objc-gc ogg oggvorbis opengl openmp
oscar pam pcre pdf perl php png posix pppd python qt qt3 qt3support qt4
quicktime radeon rar readline reflection samba scanner sdk sdl seamonkey
session sift slang sox spell spl sse sse2 ssl stream svg svga sysfs tcltk
tcpd tga theora threads tiff timidity truetype unicode usb v4l v4l2 vorbis
wifi win32codecs wmf wxwindows x264 x86 xine xinerama xml xorg xulrunner xv
xvid zlib" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106
cmipci emu10k1 emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel
intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci"
ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file
hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null
plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic
auth_digest authn_anon authn_dbd authn_dbm authn_default authn_file
authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user
autoindex cache dav dav_fs dav_lock dbd deflate dir disk_cache env expires
ext_filter file_cache filter headers ident imagemap include info log_config
logio mem_cache mime mime_magic negotiation proxy proxy_ajp proxy_balancer
proxy_connect proxy_http rewrite setenvif so speling status unique_id
userdir usertrack vhost_alias" ELIBC="glibc" INPUT_DEVICES="keyboard mouse
joystick" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780
lb216 lcdm001 mtxorb ncurses text" LINGUAS="de" USERLAND="GNU"
VIDEO_CARDS="radeon vesa"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, FFLAGS, INSTALL_MASK,
PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 10 Chang Ming 2009-04-23 04:48:16 UTC
*** Bug 267049 has been marked as a duplicate of this bug. ***
Comment 11 Grzegorz Chwesewicz 2009-04-23 09:46:31 UTC
Created attachment 189218 [details, diff]
Fix check_mesa() in 'configure'

My patch changes check_mesa() function in 'configure' file, so it does not check for version of GLU, but only checks for existence of GLU header files. It won't compile without these headers.
Comment 12 Grzegorz Chwesewicz 2009-04-23 09:48:01 UTC
Created attachment 189220 [details, diff]
Make virtualbox-ose-2.2.0.ebuild use mesa.patch

Patch for ebuild, it enables use of my mesa.patch
Comment 13 Andrew Udvare 2009-04-23 16:44:00 UTC
thanks, I patched a copy of the portage version, works great; but isn't this really just a quick work around? Maybe the solution is to find why that snippet of code isn't working. I feel like it might have something to do with X11 headers.
Comment 14 Grzegorz Chwesewicz 2009-04-23 16:57:39 UTC
(In reply to comment #13)
> thanks, I patched a copy of the portage version, works great; but isn't this
> really just a quick work around? 

In my opinion we only need to check if Mesa headers are present, and not the version of GLX extension. The problem with this code is in Mesa itself (it tries to create devices in /dev, which violates sandbox policy).


Comment 15 Clemmitt M. Sigler 2009-04-25 20:08:28 UTC
(In reply to comment #14)
> The problem with this code is in Mesa itself (it
> tries to create devices in /dev, which violates sandbox policy).

This is the same problem and error I had with my emerge.  Using attachments from Comment #11 and Comment #12 of this bug fixed it for me.  Thx!

Clemmitt
Comment 16 Andrea 2009-04-27 21:12:42 UTC
i've installed virtualbox 2.2.0 in my box in data 18/04/2009 without problems and it's work greats until 24/04.
after this date i've upgraded/installed this packages 

Sat Apr 18 20:52:07 2009 >>> virtual/poppler-glib-0.10.5
Sat Apr 18 20:52:15 2009 >>> virtual/poppler-qt3-0.10.5
Mon Apr 20 22:24:20 2009 >>> sys-apps/portage-2.2_rc31
Mon Apr 20 22:24:20 2009 >>> sys-apps/portage-2.2_rc31
Mon Apr 20 22:25:12 2009 >>> net-wireless/bluez-libs-3.36
Mon Apr 20 22:30:40 2009 >>> dev-lang/python-2.5.4-r2
Mon Apr 20 22:31:45 2009 >>> dev-lang/yasm-0.7.2
Mon Apr 20 22:32:06 2009 >>> sys-libs/libcap-2.16
Mon Apr 20 22:34:52 2009 >>> gnome-base/libbonobo-2.24.1
Mon Apr 20 22:37:59 2009 >>> gnome-base/gvfs-1.0.3-r1
Mon Apr 20 22:38:15 2009 >>> app-misc/hal-info-20090309
Mon Apr 20 23:19:06 2009 >>> games-emulation/sdlmame-0.130_p4
Mon Apr 20 23:23:09 2009 >>> gnome-base/libbonoboui-2.24.1
Tue Apr 21 20:40:58 2009 >>> dev-python/pygtk-2.14.1
Fri Apr 24 18:14:09 2009 >>> sys-kernel/gentoo-sources-2.6.28-r5
Fri Apr 24 18:18:29 2009 >>> app-crypt/gnupg-2.0.11
Fri Apr 24 18:21:55 2009 >>> gnome-base/gvfs-1.0.3-r2
Fri Apr 24 18:57:24 2009 >>> x11-drivers/atidivers-8.552-r2                                                                                         
Sat Apr 25 03:58:58 2009 >>> media-libs/libdiscid-0.2.2
Sat Apr 25 03:59:16 2009 >>> dev-java/qdox-1.6.3
Sat Apr 25 03:59:29 2009 >>> dev-java/java-getopt-1.0.13
Sat Apr 25 03:59:44 2009 >>> dev-java/gnu-regexp-1.1.4-r2
Sat Apr 25 03:59:57 2009 >>> dev-java/ant-owanttask-1.1-r12
Sat Apr 25 04:02:47 2009 >>> dev-util/cvs-1.12.12-r6
Sat Apr 25 04:03:44 2009 >>> media-libs/musicbrainz-3.0.2
Sat Apr 25 04:06:16 2009 >>> app-crypt/qca-2.0.0-r2
Sat Apr 25 04:06:40 2009 >>> dev-java/asm-2.0-r1
Sat Apr 25 04:06:57 2009 >>> dev-java/jarjar-0.9
Sat Apr 25 04:07:17 2009 >>> dev-java/hamcrest-core-1.1
Sat Apr 25 04:07:36 2009 >>> dev-java/junit-4.5
Sun Apr 26 20:19:30 2009 >>> net-misc/neon-0.28.4
Sun Apr 26 20:33:15 2009 >>> dev-util/subversion-1.5.6
Sun Apr 26 20:37:14 2009 >>> net-print/cups-1.3.10-r1
Sun Apr 26 20:45:41 2009 >>> media-libs/libgpod-0.7.2
Sun Apr 26 20:52:27 2009 >>> app-pda/gtkpod-0.99.14
Mon Apr 27 18:11:19 2009 >>> x11-libs/qt-xmlpatterns-4.4.2
Mon Apr 27 18:39:29 2009 >>> x11-libs/qt-webkit-4.4.2-r1
Mon Apr 27 18:41:46 2009 >>> x11-libs/qt-opengl-4.4.2
Mon Apr 27 18:44:20 2009 >>> x11-libs/qt-svg-4.4.2
Mon Apr 27 18:53:46 2009 >>> x11-libs/qt-assistant-4.4.2-r1
Mon Apr 27 18:53:58 2009 >>> x11-libs/qt-4.4.2
Mon Apr 27 19:20:39 2009 >>> app-emulation/virtualbox-ose-2.2.0
Mon Apr 27 20:38:43 2009 >>> sys-apps/man-pages-3.20
Mon Apr 27 20:42:13 2009 >>> sys-apps/coreutils-7.1
Mon Apr 27 20:48:00 2009 >>> app-emulation/virtualbox-ose-additions-2.2.0
Mon Apr 27 20:49:22 2009 >>> sys-power/iasl-20060912
Mon Apr 27 20:50:22 2009 >>> app-emulation/virtualbox-modules-2.2.0
Mon Apr 27 20:52:25 2009 >>> sys-devel/dev86-0.16.17-r5
Mon Apr 27 20:58:28 2009 >>> dev-util/kbuild-0.1.5-r1
Mon Apr 27 20:58:51 2009 >>> sys-apps/usermode-utilities-20040406-r1
Mon Apr 27 20:59:18 2009 >>> net-misc/bridge-utils-1.4
Mon Apr 27 21:34:07 2009 >>> media-libs/mesa-7.3-r1
Mon Apr 27 21:34:32 2009 >>> x11-apps/mesa-progs-7.3
Mon Apr 27 21:39:28 2009 >>> x11-drivers/ati-drivers-8.552-r2

and with suprise from 26/04 virtualbox not work. I'ved tried to delete the .Virtualbox directory without success, and tring to compile again virtualbox: show the main error of the discussion, and appling the patch virtualbox return my initial problems: main gui without elements(buttons or others thinks) inside.

this is my situation.
Comment 17 tonich 2009-05-04 06:00:27 UTC
Created attachment 190285 [details, diff]
configure patch for checking mesa presents

After this patch configure checks only compilation, not running.
Comment 18 r1k0 2009-05-09 09:12:41 UTC
(In reply to comment #15)
> (In reply to comment #14)
> > The problem with this code is in Mesa itself (it
> > tries to create devices in /dev, which violates sandbox policy).
> 
> This is the same problem and error I had with my emerge.  Using attachments
> from Comment #11 and Comment #12 of this bug fixed it for me.  Thx!
> 
> Clemmitt
> 

Thanks!
2.2.2 works for me using above patch on

Portage 2.2_rc33 (default/linux/x86/2008.0, gcc-4.3.3, glibc-2.9_p20081201-r2, 2.6.29-gentoo-r3 i686)
=================================================================
System uname: Linux-2.6.29-gentoo-r3-i686-Intel-R-_Atom-TM-_CPU_N270_@_1.60GHz-with-gentoo-2.0.0
Timestamp of tree: Thu, 07 May 2009 12:00:04 +0000
ccache version 2.4 [enabled]
app-shells/bash:     4.0_p17-r1
dev-java/java-config: 2.1.7
dev-lang/python:     2.6.2
dev-util/ccache:     2.4-r8
dev-util/cmake:      2.6.3-r1
sys-apps/baselayout: 2.0.0-r2
sys-apps/openrc:     0.4.2-r1
sys-apps/sandbox:    1.9
sys-devel/autoconf:  2.13, 2.63-r1
sys-devel/automake:  1.5, 1.7.9-r1, 1.8.5-r3, 1.9.6-r2, 1.10.2
sys-devel/binutils:  2.19.1-r1
sys-devel/gcc-config: 1.4.1
sys-devel/libtool:   2.2.6a
virtual/os-headers:  2.6.28-r1
ACCEPT_KEYWORDS="x86 ~x86"
CBUILD="i686-pc-linux-gnu"
CFLAGS="-O3 -march=native -pipe -fomit-frame-pointer"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/udev/rules.d"
CTARGET="i686-pc-linux-gnu"
CXXFLAGS="-O3 -march=native -pipe -fomit-frame-pointer -fvisibility-inlines-hidden"
DISTDIR="/usr/portage/distfiles"
FEATURES="buildpkg candy ccache collision-protect distlocks fixpackages metadata-transfer parallel-fetch prelink preserve-libs protect-owned sandbox sfperms strict unmerge-orphans userfetch"
GENTOO_MIRRORS="ftp://212.219.56.135/sites/www.ibiblio.org/gentoo/ ftp://gentoo.mirror.dkm.cz/pub/gentoo/ http://91.121.125.139/gentoo-distfiles/ http://gentoo.supp.name/"
LANG="fr_FR@euro"
LC_ALL="fr_FR@euro"
LDFLAGS="-Wl,--as-needed"
LINGUAS="en fr fr_FR"
MAKEOPTS="-j3"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage/layman/x11 /usr/local/portage/layman/enlightenment /usr/local/portage/layman/mozilla /usr/local/portage/layman/THE"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="X acl acpi alsa berkdb bluetooth bzip2 cairo cdr cli cracklib crypt cups custom-cxxflags custom-optimization dbus dri dvd dvdr dvdread emerald encode ffmpeg fortran gdbm gif glitz gpm hal iconv ipv6 isdnlog jpeg laptop mad midi mmx mp3 mpeg mudflap ncurses nls nptl nptlonly ogg opengl openmp pam pcre perl png pppd python qt4 readline reflection samba sdl session spl sse sse2 ssl ssse3 sysfs tcpd threads tiff truetype unicode usb vorbis win32codecs x86 xml xorg zlib" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1 emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" ELIBC="glibc" INPUT_DEVICES="mouse keyboard evdev " KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="en fr fr_FR" USERLAND="GNU" VIDEO_CARDS="intel"
Unset:  CPPFLAGS, EMERGE_DEFAULT_OPTS, FFLAGS, INSTALL_MASK, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS


Comment 19 nurbs999 2009-05-15 14:57:33 UTC
Created attachment 191390 [details]
fixed manifest to work with patched configure file in  VirtualBox-2.2.2-OSE.tar.bz2
Comment 20 nurbs999 2009-05-15 14:58:40 UTC
works on my mashine, too, with configure patch. attached fixed ebuild for xf86-video-virtualbox-2.2.2.

please add patch for configure script and fixed ebuild to portage-tree. my last portage update was May/05/2009


Portage 2.1.6.13 (default/linux/x86/2008.0, gcc-4.3.3, glibc-2.9_p20081201-r2, 2.6.29-gentoo-r2 i686)
=================================================================
System uname: Linux-2.6.29-gentoo-r2-i686-Intel-R-_Atom-TM-_CPU_N270_@_1.60GHz-with-gentoo-2.0.0
Timestamp of tree: Thu, 14 May 2009 22:00:01 +0000
distcc 3.1 i686-pc-linux-gnu [disabled]
app-shells/bash:     4.0_p17-r1
dev-java/java-config: 2.1.7
dev-lang/python:     2.4.4-r15, 2.6.2
dev-util/cmake:      2.6.4
sys-apps/baselayout: 2.0.0
sys-apps/openrc:     0.4.3-r2
sys-apps/sandbox:    1.9
sys-devel/autoconf:  2.13, 2.63-r1
sys-devel/automake:  1.4_p6, 1.5, 1.7.9-r1, 1.8.5-r3, 1.9.6-r2, 1.10.2
sys-devel/binutils:  2.19.1-r1
sys-devel/gcc-config: 1.4.1
sys-devel/libtool:   2.2.6a
virtual/os-headers:  2.6.29
ACCEPT_KEYWORDS="x86 ~x86"
CBUILD="i686-pc-linux-gnu"
CFLAGS="-O2 -march=pentium4 -pipe -fomit-frame-pointer"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/php/apache2-php5/ext-active/ /etc/php/cgi-php5/ext-active/ /etc/php/cli-php5/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/udev/rules.d"
CXXFLAGS="-O2 -march=pentium4 -pipe -fomit-frame-pointer"
DISTDIR="/usr/portage/distfiles"
FEATURES="distlocks fixpackages nodoc parallel-fetch protect-owned sandbox sfperms strict unmerge-orphans userfetch"
GENTOO_MIRRORS="http://mirrors.sec.informatik.tu-darmstadt.de/gentoo/ http://de-mirror.org/distro/gentoo/ http://gentoo.mneisen.org/"
LANG="de_DE"
LDFLAGS="-Wl,-O1"
LINGUAS="de"
MAKEOPTS="-j1"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage/layman/yarik-overlay"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="X aac acl acpi alsa apache2 bash-completion berkdb bzip2 cli cracklib crypt cups dbus directfb dri dts dvb encode firefox flac fortran gdbm gpm hal iconv isdnlog jpeg laptop midi mmx mp3 mpeg mudflap mysql mysqli ncurses nls nptl nptlonly opengl openmp pam pcre perl pppd python qt3support qt4 readline reflection session sndfile spl sse sse2 ssl sysfs tcpd unicode v4l2 win32codecs x264 x86 xattr xfce xorg xulrunner xv xvid xvmc zlib" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1 emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" DVB_CARDS="usb-dib0700" ELIBC="glibc" INPUT_DEVICES="keyboard synaptics mouse" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="de" USERLAND="GNU" VIDEO_CARDS="intel virtualbox"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, FFLAGS, INSTALL_MASK, LC_ALL, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 21 Randall Wald 2009-06-03 20:57:22 UTC
Is this patch going to be included into the main tree? The bug in question still affects me as of the recently-released virtualbox-ose-2.2.4.
Comment 22 Füves Zoltán 2009-06-09 20:11:29 UTC
------ Comment  #21
it's a good question !! :) and the same issue here :(

>> request (maybe component ebuilds and) severity blocker, because it broke emergeing 
Comment 23 Lars Wendler (Polynomial-C) gentoo-dev 2009-07-16 06:08:20 UTC
*** Bug 268885 has been marked as a duplicate of this bug. ***
Comment 24 Lars Wendler (Polynomial-C) gentoo-dev 2009-07-16 06:08:25 UTC
*** Bug 278001 has been marked as a duplicate of this bug. ***
Comment 25 Alessio Cassibba (X-Drum) 2009-09-10 16:08:21 UTC
This bug should be closed since this release is 
not available in portage (see bug #260331).

There are still issues with the last release (eg: 3.0.4, 3.0.6 was released today and will hit jokey's overlay soon)